SUSE Linux Enterprise Server OpenSSL Cryptographic Module

Certificate details

Certificate ID #3797
Status historical
Historical reason Moved to historical list due to sunsetting
Validation dates 25.01.2021 , 28.11.2021
Standard FIPS 140-2
Security level 1
Type Software
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy
Exceptions
  • Physical Security: N/A
Description OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.
Tested configurations
  • SUSE Linux Enterprise Server 15 SP0 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 with PAA
  • SUSE Linux Enterprise Server 15 SP0 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 without PAA (single-user mode)
Vendor SUSE, LLC http://www.suse.com
Lab atsec information security corporation
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, AES-128, AES-192, AES-256, AES-, CAST, CAST5, RC2, RC4, DES, Triple-DES, TripleDES, TDES, TDEA, ChaCha20, Poly1305, Camellia, ARIA, SEED, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMAC
Asymmetric Algorithms
ECDSA, ECC, DSA
Hash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, Blake2, MD4, MD5, PBKDF
Schemes
MAC, Key Exchange, Key Agreement
Protocols
SSH, SSHv2, TLS, TLS v1.0, TLSv1.2, DTLS, IKE, IKEv2
Randomness
DRBG, RNG
Libraries
OpenSSL
Elliptic Curves
P-256, P-384, P-224, P-521, P-192
Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XEX, XTS
TLS cipher suites
TLS_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_DH_DSS_WITH_AES_128_CBC_SHA, TLS_DH_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_DSS_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_DH_DSS_WITH_AES_256_CBC_SHA, TLS_DH_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_DSS_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_DH_DSS_WITH_AES_128_CBC_SHA256, TLS_DH_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_DSS_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DH_DSS_WITH_AES_256_CBC_SHA256, TLS_DH_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_DSS_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_PSK_WITH_3DES_EDE_CBC_SHA, TLS_PSK_WITH_AES_128_CBC_SHA, TLS_PSK_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_DH_RSA_WITH_AES_128_GCM_SHA256, TLS_DH_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_DSS_WITH_AES_128_GCM_SHA256, TLS_DHE_DSS_WITH_AES_256_GCM_SHA384, TLS_DH_DSS_WITH_AES_128_GCM_SHA256, TLS_DH_DSS_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384

Trusted Execution Environments
SSC

Security level
level 1
Side-channel analysis
Timing Attacks, timing attacks

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3797,
  "dgst": "38a0ddf1476fb458",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "AES#A200",
        "CVL#A81",
        "DSA#A80",
        "#A202",
        "#A194",
        "#A89",
        "KTS#A85",
        "AES#A83",
        "Triple-DES#A97",
        "HMAC#A88",
        "DRBG#A194",
        "KAS#A195",
        "KTS#A82",
        "KAS#A677",
        "KTS#A191",
        "DRBG#A93",
        "DRBG#A79",
        "KAS#A85",
        "DRBG#A77",
        "AES#A206",
        "#A189",
        "AES#A209",
        "#A79",
        "#A205",
        "SHS#A80",
        "CVL#A195",
        "DRBG#A189",
        "#A96",
        "DRBG#A95",
        "ECDSA#A195",
        "#A210",
        "SHS#A202",
        "HMAC#A198",
        "RSA#A85",
        "#A677",
        "DRBG#A83",
        "AES#A77",
        "RSA#A82",
        "DRBG#A191",
        "AES#A201",
        "KTS#A198",
        "#A212",
        "#A98",
        "CVL#A85",
        "#A94",
        "#A211",
        "DRBG#A209",
        "DRBG#A192",
        "PBKDF#A82",
        "#A197",
        "AES#A187",
        "KTS#A197",
        "SHS#A195",
        "AES#A196",
        "SHS#A199",
        "#A84",
        "KTS#A84",
        "ECDSA#A80",
        "#A191",
        "DRBG#A92",
        "HMAC#A203",
        "KTS#A193",
        "AES#A207",
        "HMAC#A87",
        "Triple-DES#A197",
        "SHS#A203",
        "RSA#A195",
        "#A201",
        "AES#A101",
        "AES#A86",
        "DRBG#A100",
        "HMAC#A82",
        "DRBG#A94",
        "CVL#A80",
        "#A83",
        "SHS#A82",
        "SHS#A87",
        "#A209",
        "AES#A100",
        "KTS#A88",
        "DSA#A81",
        "DSA#A82",
        "#A78",
        "KAS#A203",
        "CVL#A186",
        "AES#A91",
        "#A188",
        "PBKDF#A203",
        "#A103",
        "#A77",
        "AES#A99",
        "DRBG#A198",
        "DRBG#A76",
        "SHS#A85",
        "#A198",
        "DRBG#A206",
        "#A192",
        "PBKDF#A85",
        "AES#A78",
        "#A101",
        "CVL#A96",
        "DRBG#A101",
        "DRBG#A87",
        "HMAC#A202",
        "KTS#A87",
        "KAS#A202",
        "CVL#A203",
        "#A207",
        "DRBG#A210",
        "AES#A211",
        "DRBG#A91",
        "#A80",
        "AES#A210",
        "AES#A212",
        "#A95",
        "#A206",
        "DRBG#A193",
        "SHS#A88",
        "#A81",
        "#A92",
        "CVL#A204",
        "CVL#A190",
        "KTS#A195",
        "SHS#A186",
        "AES#A95",
        "#A87",
        "AES#A89",
        "DRBG#A207",
        "#A97",
        "HMAC#A84",
        "SHS#A84",
        "ECDSA#A203",
        "#A93",
        "HMAC#A76",
        "#A204",
        "RSA#A81",
        "AES#A90",
        "AES#A79",
        "SHS#A198",
        "HMAC#A191",
        "HMAC#A199",
        "KTS#A186",
        "#A193",
        "AES#A92",
        "AES#A192",
        "#A195",
        "AES#A194",
        "ECDSA#A81",
        "DRBG#A199",
        "CVL#A103",
        "HMAC#A80",
        "CVL#A98",
        "PBKDF#A202",
        "ECDSA#A202",
        "#A86",
        "KTS#A203",
        "HMAC#A85",
        "RSA#A80",
        "KAS#A80",
        "SHS#A193",
        "HMAC#A193",
        "DSA#A203",
        "AES#A189",
        "DSA#A195",
        "#A100",
        "SHS#A191",
        "#A199",
        "#A676",
        "KTS#A199",
        "PBKDF#A195",
        "#A90",
        "DRBG#A208",
        "DRBG#A89",
        "RSA#A186",
        "HMAC#A195",
        "#A91",
        "DSA#A202",
        "AES#A208",
        "HMAC#A81",
        "KAS#A676",
        "DRBG#A188",
        "DRBG#A187",
        "SHS#A81",
        "#A187",
        "#A196",
        "KAS#A186",
        "#A102",
        "HMAC#A186",
        "DSA#A85",
        "KTS#A202",
        "KAS#A81",
        "AES#A93",
        "#A99",
        "#A203",
        "#A76",
        "KAS#A82",
        "AES#A188",
        "#A88",
        "#A190",
        "DRBG#A200",
        "DRBG#A88",
        "#A82",
        "#A85",
        "ECDSA#A186",
        "#A208",
        "KTS#A80",
        "RSA#A202",
        "#A186",
        "DRBG#A211",
        "SHS#A76",
        "CVL#A205",
        "AES#A94",
        "CVL#A102",
        "PBKDF#A80",
        "#A213",
        "KTS#A81",
        "KTS#A97",
        "PBKDF#A81",
        "PBKDF#A186",
        "ECDSA#A82",
        "CVL#A213",
        "DSA#A186",
        "CVL#A82",
        "DRBG#A84",
        "CVL#A202",
        "RSA#A203",
        "ECDSA#A85",
        "#A200",
        "KTS#A76",
        "DRBG#A78"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 43,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECC": {
            "ECC": 3
          },
          "ECDSA": {
            "ECDSA": 30
          }
        },
        "FF": {
          "DSA": {
            "DSA": 38
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 10
        },
        "CCM": {
          "CCM": 5
        },
        "CTR": {
          "CTR": 2
        },
        "ECB": {
          "ECB": 6
        },
        "GCM": {
          "GCM": 13
        },
        "OFB": {
          "OFB": 3
        },
        "XEX": {
          "XEX": 1
        },
        "XTS": {
          "XTS": 8
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "OpenSSL": {
          "OpenSSL": 51
        }
      },
      "crypto_protocol": {
        "IKE": {
          "IKE": 3,
          "IKEv2": 2
        },
        "SSH": {
          "SSH": 16,
          "SSHv2": 1
        },
        "TLS": {
          "DTLS": {
            "DTLS": 1
          },
          "TLS": {
            "TLS": 62,
            "TLS v1.0": 1,
            "TLSv1.2": 1
          }
        }
      },
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 7
        },
        "KEX": {
          "Key Exchange": 3
        },
        "MAC": {
          "MAC": 9
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-192": 4,
          "P-224": 4,
          "P-256": 12,
          "P-384": 8,
          "P-521": 2
        }
      },
      "eval_facility": {
        "atsec": {
          "atsec": 47
        }
      },
      "fips_cert_id": {},
      "fips_certlike": {
        "Certlike": {
          "AES CMAC 128": 1,
          "AES GCM 128": 1,
          "AES-128": 1,
          "AES-192": 1,
          "AES-256": 2,
          "HMAC 128": 2,
          "HMAC 192": 2,
          "HMAC SHA-1": 2,
          "HMAC-SHA-1": 4,
          "HMAC-SHA-224": 4,
          "HMAC-SHA-256": 6,
          "HMAC-SHA-384": 4,
          "HMAC-SHA-512": 4,
          "PKCS#1": 4,
          "SHA- 256": 2,
          "SHA- 384": 1,
          "SHA-1": 17,
          "SHA-224": 19,
          "SHA-256": 32,
          "SHA-384": 20,
          "SHA-512": 12,
          "SHA-512 1024": 3,
          "SHA-512 112": 1,
          "SHA-512 128": 1,
          "SHA-512 192": 1,
          "SHA-512 2048": 3,
          "SHS 4": 1
        }
      },
      "fips_security_level": {
        "Level": {
          "level 1": 3
        }
      },
      "hash_function": {
        "BLAKE": {
          "Blake2": 2
        },
        "MD": {
          "MD4": {
            "MD4": 2
          },
          "MD5": {
            "MD5": 3
          }
        },
        "PBKDF": {
          "PBKDF": 13
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 17
          },
          "SHA2": {
            "SHA-224": 19,
            "SHA-256": 32,
            "SHA-384": 20,
            "SHA-512": 21
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 30
        },
        "RNG": {
          "RNG": 2
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "Timing Attacks": 2,
          "timing attacks": 1
        }
      },
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 58,
          "FIPS 186-4": 2,
          "FIPS PUB 140-2": 2,
          "FIPS180-4": 2,
          "FIPS186-4": 22,
          "FIPS197": 3,
          "FIPS198-1": 2
        },
        "NIST": {
          "SP 800-57": 1
        },
        "PKCS": {
          "PKCS#1": 2
        },
        "RFC": {
          "RFC2246": 7,
          "RFC3268": 13,
          "RFC3526": 2,
          "RFC4253": 1,
          "RFC4279": 4,
          "RFC4346": 1,
          "RFC4492": 16,
          "RFC5116": 1,
          "RFC5246": 14,
          "RFC5288": 14,
          "RFC5289": 16,
          "RFC5487": 1,
          "RFC5489": 1,
          "RFC6655": 1,
          "RFC7251": 1,
          "RFC7296": 2,
          "RFC7919": 4
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 75,
            "AES-": 1,
            "AES-128": 1,
            "AES-192": 1,
            "AES-256": 2
          },
          "CAST": {
            "CAST": 2,
            "CAST5": 2
          },
          "RC": {
            "RC2": 2,
            "RC4": 2
          }
        },
        "DES": {
          "3DES": {
            "TDEA": 1,
            "TDES": 1,
            "Triple-DES": 43,
            "TripleDES": 1
          },
          "DES": {
            "DES": 4
          }
        },
        "constructions": {
          "MAC": {
            "CMAC": 12,
            "HMAC": 31,
            "HMAC-SHA-224": 2,
            "HMAC-SHA-256": 3,
            "HMAC-SHA-384": 2,
            "HMAC-SHA-512": 2
          }
        },
        "djb": {
          "ChaCha": {
            "ChaCha20": 2
          },
          "Poly": {
            "Poly1305": 2
          }
        },
        "miscellaneous": {
          "ARIA": {
            "ARIA": 2
          },
          "Camellia": {
            "Camellia": 3
          },
          "SEED": {
            "SEED": 2
          }
        }
      },
      "tee_name": {
        "IBM": {
          "SSC": 2
        }
      },
      "tls_cipher_suite": {
        "TLS": {
          "TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_DHE_DSS_WITH_AES_128_CBC_SHA": 1,
          "TLS_DHE_DSS_WITH_AES_128_CBC_SHA256": 1,
          "TLS_DHE_DSS_WITH_AES_128_GCM_SHA256": 1,
          "TLS_DHE_DSS_WITH_AES_256_CBC_SHA": 1,
          "TLS_DHE_DSS_WITH_AES_256_CBC_SHA256": 1,
          "TLS_DHE_DSS_WITH_AES_256_GCM_SHA384": 1,
          "TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_DH_DSS_WITH_AES_128_CBC_SHA": 1,
          "TLS_DH_DSS_WITH_AES_128_CBC_SHA256": 1,
          "TLS_DH_DSS_WITH_AES_128_GCM_SHA256": 1,
          "TLS_DH_DSS_WITH_AES_256_CBC_SHA": 1,
          "TLS_DH_DSS_WITH_AES_256_CBC_SHA256": 1,
          "TLS_DH_DSS_WITH_AES_256_GCM_SHA384": 1,
          "TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_DH_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_DH_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_DH_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_DH_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_DH_RSA_WITH_AES_256_CBC_SHA256": 1,
          "TLS_DH_RSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 1,
          "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384": 1,
          "TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_ECDH_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_ECDH_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384": 1,
          "TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_PSK_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_PSK_WITH_AES_128_CBC_SHA": 1,
          "TLS_PSK_WITH_AES_256_CBC_SHA": 1,
          "TLS_RSA_WITH_3DES_EDE_CBC_SHA": 1,
          "TLS_RSA_WITH_AES_128_CBC_SHA": 1,
          "TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
          "TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_RSA_WITH_AES_256_CBC_SHA": 1,
          "TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
          "TLS_RSA_WITH_AES_256_GCM_SHA384": 1
        }
      },
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "AES#A200",
        "CVL#A81",
        "DSA#A80",
        "KTS#A85",
        "AES#A83",
        "Triple-DES#A97",
        "HMAC#A88",
        "DRBG#A194",
        "KAS#A195",
        "KTS#A82",
        "KAS#A677",
        "KTS#A191",
        "DRBG#A93",
        "DRBG#A79",
        "KAS#A85",
        "DRBG#A77",
        "AES#A206",
        "AES#A209",
        "SHS#A80",
        "CVL#A195",
        "DRBG#A189",
        "DRBG#A95",
        "ECDSA#A195",
        "SHS#A202",
        "HMAC#A198",
        "RSA#A85",
        "DRBG#A83",
        "AES#A77",
        "RSA#A82",
        "DRBG#A191",
        "AES#A201",
        "KTS#A198",
        "CVL#A85",
        "DRBG#A209",
        "DRBG#A192",
        "PBKDF#A82",
        "AES#A187",
        "KTS#A197",
        "SHS#A195",
        "AES#A196",
        "SHS#A199",
        "KTS#A84",
        "ECDSA#A80",
        "DRBG#A92",
        "HMAC#A203",
        "KTS#A193",
        "AES#A207",
        "HMAC#A87",
        "Triple-DES#A197",
        "SHS#A203",
        "RSA#A195",
        "AES#A101",
        "AES#A86",
        "DRBG#A100",
        "DRBG#A94",
        "HMAC#A82",
        "CVL#A80",
        "SHS#A82",
        "SHS#A87",
        "AES#A100",
        "KTS#A88",
        "DSA#A81",
        "DSA#A82",
        "KAS#A203",
        "CVL#A186",
        "AES#A91",
        "PBKDF#A203",
        "AES#A99",
        "DRBG#A198",
        "DRBG#A76",
        "SHS#A85",
        "DRBG#A206",
        "PBKDF#A85",
        "AES#A78",
        "CVL#A96",
        "DRBG#A101",
        "DRBG#A87",
        "HMAC#A202",
        "KTS#A87",
        "KAS#A202",
        "CVL#A203",
        "DRBG#A210",
        "AES#A211",
        "DRBG#A91",
        "AES#A210",
        "AES#A212",
        "DRBG#A193",
        "SHS#A88",
        "CVL#A204",
        "CVL#A190",
        "KTS#A195",
        "SHS#A186",
        "AES#A95",
        "AES#A89",
        "DRBG#A207",
        "HMAC#A84",
        "SHS#A84",
        "ECDSA#A203",
        "HMAC#A76",
        "RSA#A81",
        "AES#A90",
        "AES#A79",
        "SHS#A198",
        "HMAC#A191",
        "HMAC#A199",
        "KTS#A186",
        "AES#A92",
        "AES#A192",
        "AES#A194",
        "ECDSA#A81",
        "DRBG#A199",
        "CVL#A103",
        "HMAC#A80",
        "CVL#A98",
        "PBKDF#A202",
        "ECDSA#A202",
        "KTS#A203",
        "HMAC#A85",
        "RSA#A80",
        "KAS#A80",
        "SHS#A193",
        "HMAC#A193",
        "DSA#A203",
        "AES#A189",
        "DSA#A195",
        "SHS#A191",
        "KTS#A199",
        "PBKDF#A195",
        "DRBG#A208",
        "DRBG#A89",
        "RSA#A186",
        "HMAC#A195",
        "DSA#A202",
        "AES#A208",
        "HMAC#A81",
        "KAS#A676",
        "DRBG#A188",
        "DRBG#A187",
        "SHS#A81",
        "KAS#A186",
        "HMAC#A186",
        "DSA#A85",
        "KTS#A202",
        "KAS#A81",
        "AES#A93",
        "KAS#A82",
        "AES#A188",
        "DRBG#A200",
        "DRBG#A88",
        "ECDSA#A186",
        "KTS#A80",
        "RSA#A202",
        "DRBG#A211",
        "SHS#A76",
        "CVL#A205",
        "AES#A94",
        "CVL#A102",
        "PBKDF#A80",
        "KTS#A81",
        "KTS#A97",
        "PBKDF#A81",
        "PBKDF#A186",
        "ECDSA#A82",
        "CVL#A213",
        "DSA#A186",
        "CVL#A82",
        "DRBG#A84",
        "CVL#A202",
        "RSA#A203",
        "ECDSA#A85",
        "KTS#A76",
        "DRBG#A78"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#A202",
        "#A194",
        "#A207",
        "#A89",
        "#A100",
        "#A199",
        "#A676",
        "#A80",
        "#A201",
        "#A90",
        "#A83",
        "#A95",
        "#A206",
        "#A91",
        "#A81",
        "#A92",
        "#A189",
        "#A187",
        "#A209",
        "#A79",
        "#A205",
        "#A196",
        "#A96",
        "#A87",
        "#A102",
        "#A99",
        "#A210",
        "#A203",
        "#A76",
        "#A78",
        "#A97",
        "#A88",
        "#A190",
        "#A93",
        "#A677",
        "#A204",
        "#A188",
        "#A82",
        "#A212",
        "#A85",
        "#A98",
        "#A208",
        "#A103",
        "#A186",
        "#A94",
        "#A193",
        "#A77",
        "#A198",
        "#A211",
        "#A195",
        "#A192",
        "#A197",
        "#A213",
        "#A101",
        "#A84",
        "#A191",
        "#A86",
        "#A200"
      ]
    },
    "policy_metadata": {
      "/Author": "Traci Porter",
      "/CreationDate": "D:20211123133251-06\u002700\u0027",
      "/Creator": "Writer",
      "/Keywords": "FIPS 140-2",
      "/Producer": "OpenOffice 4.1.10",
      "/Title": "FIPS 140-2 Non-Proprietary Security Policy",
      "pdf_file_size_bytes": 469096,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://www.ietf.org/rfc/rfc2246.txt",
          "https://tools.ietf.org/html/rfc7251.txt",
          "http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
          "https://www.ietf.org/rfc/rfc3268.txt%20",
          "https://www.ietf.org/rfc/rfc4492.txt%20",
          "http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-67r1.pdf",
          "http://www.ietf.org/rfc/rfc3447.txt",
          "http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
          "https://tools.ietf.org/html/rfc7296",
          "http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38e.pdf",
          "http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
          "https://tools.ietf.org/html/rfc5487.txt",
          "http://csrc.nist.gov/",
          "https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
          "http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38b.pdf",
          "http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
          "http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
          "http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
          "http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
          "https://www.ietf.org/rfc/rfc4346.txt%20",
          "https://tools.ietf.org/html/rfc5288.txt",
          "https://www.ietf.org/rfc/rfc5116.txt%20",
          "https://www.ietf.org/rfc/rfc4279.txt%20",
          "http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
          "https://tools.ietf.org/html/rfc5489.txt",
          "http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
          "https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-132.pdf",
          "http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38d.pdf",
          "https://tools.ietf.org/html/rfc5246.txt%20",
          "https://tools.ietf.org/html/rfc6655.txt",
          "http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 45
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "c2e81379ae0103372855486b0ca27c029332a26b9e2094920c3468d14c022bec",
      "source_hash": "9773044cd57e33fd81b8331d8442b92562f329e056518a347478927da21d4e3e",
      "txt_hash": "5be142dfab42a4badf5697b4eadb1258effdaf7269ce6ac8180a1c156b246ea0"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/January 2021_080221_0323_signed.pdf",
    "date_sunset": null,
    "description": "OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Physical Security: N/A"
    ],
    "fw_versions": null,
    "historical_reason": "Moved to historical list due to sunsetting",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "SUSE Linux Enterprise Server OpenSSL Cryptographic Module",
    "module_type": "Software",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": "4.0",
    "tested_conf": [
      "SUSE Linux Enterprise Server 15 SP0 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 with PAA",
      "SUSE Linux Enterprise Server 15 SP0 running on Dell EMC PowerEdge 640 with Intel Cascade Lake Xeon Gold 6234 without PAA (single-user mode)"
    ],
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2021-01-25",
        "lab": "atsec information security corporation",
        "validation_type": "Initial"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2021-11-28",
        "lab": "atsec information security corporation",
        "validation_type": "Update"
      }
    ],
    "vendor": "SUSE, LLC",
    "vendor_url": "http://www.suse.com"
  }
}